
# pappsomspp
# cd buildwin64
# cmake -DCMAKE_C_COMPILER="/mingw64/bin/x86_64-w64-mingw32-gcc.exe" -DCMAKE_CXX_COMPILER="/mingw64/bin/x86_64-w64-mingw32-g++.exe" -G"Unix Makefiles" -DCMAKE_BUILD_TYPE=Release -DCMAKE_TOOLCHAIN_FILE=../cmake_toolchains/Toolchain-mingw64.cmake ..

#export CC=/mingw64/bin/x86_64-w64-mingw32-g++.exe
#export CXX=/mingw64/bin/x86_64-w64-mingw32-gcc.exe
#set(CMAKE_SYSTEM_NAME Linux)

SET (USEQT5 1)
set (MINGW 1)
set (MAKE_TEST 0)

#set(CMAKE_CXX_COMPILER "/mingw64/bin/x86_64-w64-mingw32-g++.exe")
#set(CMAKE_C_COMPILER "/mingw64/bin/x86_64-w64-mingw32-gcc.exe")


set (QUAZIP_FOUND TRUE)
# QUAZIP_INCLUDE_DIR         - Path to QuaZip include dir
set (QUAZIP_INCLUDE_DIR "c:/msys64/home/polipo/devel/quazip-0.7.6")
# QUAZIP_INCLUDE_DIRS        - Path to QuaZip and zlib include dir (combined from QUAZIP_INCLUDE_DIR + ZLIB_INCLUDE_DIR)
# QUAZIP_LIBRARIES           - List of QuaZip libraries
set (QUAZIP_QT5_LIBRARIES "c:/msys64/home/polipo/devel/quazip-0.7.6/build/libquazip5.dll")
# QUAZIP_ZLIB_INCLUDE_DIR    - The include dir of zlib headers



set (QCustomPlot_FOUND TRUE)
set (QCustomPlot_INCLUDES "c:/msys64/home/polipo/devel/qcustomplot_2.0.1+dfsg1-1")
set (QCustomPlot_LIBRARIES "c:/msys64/home/polipo/devel/qcustomplot_2.0.1+dfsg1-1/build/libqcustomplot.a")



set(ALGLIB_FOUND 1)
set(ALGLIB_INCLUDE_DIR "c:/msys64/home/polipo/devel/alglib-3.16/src")
set(ALGLIB_LIBRARY "c:/msys64/home/polipo/devel/alglib-3.16/build/libalglib.dll.a") 
if(NOT TARGET ALGLIB::ALGLIB)
        add_library(ALGLIB::ALGLIB UNKNOWN IMPORTED)
        set_target_properties(ALGLIB::ALGLIB PROPERTIES
            IMPORTED_LOCATION             "${ALGLIB_LIBRARY}"
            INTERFACE_INCLUDE_DIRECTORIES "${ALGLIB_INCLUDE_DIR}")
endif()

set(Pwiz_FOUND 1)
set(Pwiz_INCLUDE_DIR "c:/msys64/home/polipo/devel/proteowizard/pwiz-autotools/pwiz")
set(Pwiz_LIBRARY "c:/msys64/home/polipo/devel/proteowizard/pwiz-autotools/pwiz/.libs/libpwiz.a") 
if(NOT TARGET Pwiz::Pwiz)
        add_library(Pwiz::Pwiz UNKNOWN IMPORTED)
        set_target_properties(Pwiz::Pwiz PROPERTIES
            IMPORTED_LOCATION             "${Pwiz_LIBRARY}"
            INTERFACE_INCLUDE_DIRECTORIES "${Pwiz_INCLUDE_DIR}")
endif()


set(Boost_FOUND 1)
set(Boost_INCLUDE_DIRS "/home/polipo/devel/boost/boost_1_56_0")
set(Boost_LIBRARY_DIRS "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib")

set (Boost_chrono_FOUND    1)
set (Boost_filesystem_FOUND  1)
set (Boost_iostreams_FOUND   1)
set (Boost_program_options_FOUND  1)
set (Boost_serialization_FOUND 1)
set (Boost_system_FOUND  1)
set (Boost_thread_FOUND  1)

set (Boost_chrono_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_chrono.dll")
set (Boost_filesystem_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_filesystem.dll")
set (Boost_iostreams_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_iostreams.dll")
set (Boost_program_options_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_program_options.dll")
set (Boost_serialization_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_serialization.dll")
set (Boost_system_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_system.dll")
set (Boost_thread_LIBRARY    "/home/polipo/devel/boost/boost_1_56_0/first-build-mingw64/lib/libboost_thread.dll")

set (Boost_VERSION   "1.56.0")
set (Boost_LIB_VERSION   "1_56")
set (Boost_MAJOR_VERSION  "1")
set (Boost_MINOR_VERSION   "56")
set (Boost_SUBMINOR_VERSION "0")



# ZSTD library stuff : download sources from debian for example
# dget -u http://deb.debian.org/debian/pool/main/libz/libzstd/libzstd_1.4.4+dfsg-1.dsc
# or git clone https://github.com/facebook/zstd.git (simple Makefile)
# to compile using CMake :
# https://github.com/facebook/zstd/blob/dev/build/cmake/README.md
# once compiled, set here Zstd_INCLUDE_DIR and Zstd_LIBRARY
set(Zstd_INCLUDE_DIR "c:/msys64/home/polipo/devel/zstd/lib")
mark_as_advanced(Zstd_INCLUDE_DIR)

# Look for the necessary library
set(Zstd_LIBRARY "c:/msys64/home/polipo/devel/zstd/lib/libzstd.a") #/home/polipo/devel/zstd/lib/dll/libzstd.dll
mark_as_advanced(Zstd_LIBRARY)

set(Zstd_FOUND 1)
set(Zstd_INCLUDE_DIRS ${Zstd_INCLUDE_DIR})
set(Zstd_LIBRARIES ${Zstd_LIBRARY})
if(NOT TARGET Zstd::Zstd)
    add_library(Zstd::Zstd UNKNOWN IMPORTED)
    set_target_properties(Zstd::Zstd PROPERTIES
        IMPORTED_LOCATION             "${Zstd_LIBRARY}"
        INTERFACE_INCLUDE_DIRECTORIES "${Zstd_INCLUDE_DIR}")
endif()



# Look for the necessary header
set(SQLite3_INCLUDE_DIR "c:/msys64/mingw64/include")
mark_as_advanced(SQLite3_INCLUDE_DIR)

# Look for the necessary library
set(SQLite3_LIBRARY "c:/msys64/mingw64/lib/libsqlite3.a") 
mark_as_advanced(SQLite3_LIBRARY)

set(SQLite3_FOUND 1)

set(SQLite3_VERSION 0.8.6)

    set(SQLite3_INCLUDE_DIRS ${SQLite3_INCLUDE_DIR})
    set(SQLite3_LIBRARIES ${SQLite3_LIBRARY})
    if(NOT TARGET SQLite::SQLite3)
        add_library(SQLite::SQLite3 UNKNOWN IMPORTED)
        set_target_properties(SQLite::SQLite3 PROPERTIES
            IMPORTED_LOCATION             "${SQLite3_LIBRARY}"
            INTERFACE_INCLUDE_DIRECTORIES "${SQLite3_INCLUDE_DIR}")
    endif()
	
	
	

set (QUAZIP_FOUND TRUE)
# QUAZIP_INCLUDE_DIR         - Path to QuaZip include dir
set (QUAZIP_INCLUDE_DIR "c:/msys64/home/polipo/devel/quazip-0.7.6")
# QUAZIP_INCLUDE_DIRS        - Path to QuaZip and zlib include dir (combined from QUAZIP_INCLUDE_DIR + ZLIB_INCLUDE_DIR)
# QUAZIP_LIBRARIES           - List of QuaZip libraries
set (QUAZIP_QT5_LIBRARIES "c:/msys64/home/polipo/devel/quazip-0.7.6/build/libquazip5.dll")
# QUAZIP_ZLIB_INCLUDE_DIR    - The include dir of zlib headers


set(ODSSTREAM_QT5_FOUND 1)
set(ODSSTREAM_INCLUDE_DIR "c:/msys64/home/polipo/devel/libodsstream/src")
set(ODSSTREAM_QT5_LIBRARY "c:/msys64/home/polipo/devel/libodsstream/build/src/libodsstream-qt5.dll")
if(NOT TARGET OdsStream::Core)
    add_library(OdsStream::Core UNKNOWN IMPORTED)
    set_target_properties(OdsStream::Core PROPERTIES
            IMPORTED_LOCATION             "${ODSSTREAM_QT5_LIBRARY}"
            INTERFACE_INCLUDE_DIRECTORIES "${ODSSTREAM_INCLUDE_DIR}"
    )
endif()
